{%- set data %}
  {% if docker_daemon_custom_config %}
    {{ docker_daemon_custom_config | to_json }}
  {% else %}
    {
      {% if docker_daemon_dns %}
        "dns": {{ docker_daemon_dns | to_json }},
      {% endif %}
      {% if docker_daemon_dns_search %}
        "dns-search": {{ docker_daemon_dns_search | to_json }},
      {% endif %}
      "bip": "{{ docker_daemon_bip }}",
      "default-address-pools": {{ docker_daemon_default_address_pools | to_json }},
      "hosts": [
        "unix:///var/run/docker.sock"
      ],
      "iptables": {{ docker_daemon_iptables | to_json }}
    }
  {% endif %}
{% endset -%}
{{ data | from_json | to_nice_json }}